html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}
body {
    font-family: 'Fjalla One', sans-serif;
    color: rgb(100, 100, 100);
    font-size: 16px;
    background: #fff;
    text-align: left;
}

div.wrapper {
    max-width: 1024px;
    padding: 0 15px;
    margin: 0 auto;
}

header {
    position: fixed;
    z-index: 10;
    display: block;
    width: 100%;
    height: 100px;
    background: #fff;
    -webkit-box-shadow: 0px -30px 71px 20px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px -30px 71px 20px rgba(0,0,0,0.2);
    box-shadow: 0px -30px 71px 20px rgba(0,0,0,0.2);
    transition: height .3s ease;
}
    header .wrapper {
        height: 100%;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
    }
    header h1 {
        margin: 0;
        font-size: 23px;
        color: rgb(70, 117, 66);
        transition: transform .3s ease;
        transform-origin: left center;
    }
    header .github {
        color: rgb(202, 202, 202);
        font-size: 40px;
        text-decoration: none;
        transition: color .3s ease;
    }
        header .github:hover {
            color: rgb(133, 133, 133);
        }
            header .github i {
                transition: transform .3s ease;
                transform-origin: left center;
            }

header.shrink {
    height: 60px;
}
    header.shrink h1 {
        transform: scale(0.8);
    }
    header.shrink .github i {
        transform: scale(0.8);
    }


section {
    padding-top: 170px;
}
    section .grid {
        display: grid;
        grid-gap: 50px;
        grid-template-columns: auto auto auto;
    }
        section .grid-item > a {
            display: block;
            text-decoration: none;
        }
        section .grid-item > a:hover img {
            transform: scale(1.02) translate(-8px, -8px);
            -webkit-box-shadow: 10px 10px 12px -4px rgba(0,0,0,0.34);
            -moz-box-shadow: 10px 10px 12px -4px rgba(0,0,0,0.34);
            box-shadow: 10px 10px 12px -4px rgba(0,0,0,0.34);
        }
            section .grid-item a img {
                display: block;
                width: 100%;
                transition: transform .3s ease, box-shadow .3s ease;
            }


@media (max-width: 800px) {
    section {
        padding-top: 170px;
    }
        section .grid {
            grid-gap: 30px;
            grid-template-columns: auto auto;
        }
}

@media (max-width: 600px) {
    header {
        height: 60px;
    }
        header h1 {
            transform: scale(0.8);
        }
        header .github i {
            transform: scale(0.8);
        }

    section {
        padding-top: 110px;
    }
        section .grid {
            display: grid;
            grid-gap: 30px;
            grid-template-columns: auto;
        }
}


@media (max-width: 400px) {
    header h1 {
        font-size: 20px;
    }
}